Skip to main content
`Ctrl`+`K`

# scipy.special.ellipj

scipy.special.ellipj(u, m, out=None) = <ufunc 'ellipj'>

  Jacobian elliptic functions

  Calculates the Jacobian elliptic functions of parameter m between 0 and 1, and real argument u.

  Parameters:
    u array_like

      Argument.

    m array_like

      Parameter.

    out tuple of ndarray, optional

      Optional output arrays for the function values

  Returns:
    sn, cn, dn, ph 4-tuple of scalar or ndarray

      The returned functions:

          sn(u|m), cn(u|m), dn(u|m)

      The value ph is such that if `u = ellipkinc(ph, m)`, then `sn(u|m) = sin(ph)` and `cn(u|m) = cos(ph)`.

  See also

  `ellipk`

    Complete elliptic integral of the first kind

  `ellipkinc`

    Incomplete elliptic integral of the first kind

  Notes

  Wrapper for the Cephes [1] routine `ellpj`.

  These functions are periodic, with quarter-period on the real axis equal to the complete elliptic integral `ellipk(m)`.

  Relation to incomplete elliptic integral: If `u = ellipkinc(phi,m)`, then `sn(u|m) = sin(phi)`, and `cn(u|m) = cos(phi)`. The `phi` is called the amplitude of u.

  Computation is by means of the arithmetic-geometric mean algorithm, except when m is within 1e-9 of 0 or 1. In the latter case with m close to 1, the approximation applies only for `phi < pi/2`.

  References

  [1]

  Cephes Mathematical Functions Library, http://www.netlib.org/cephes/